﻿@model IEnumerable<Pidev.Domain.Entities.Video>
@using Pidev.Presentation.Models
@{
    Layout = "~/Views/Shared/_templateFront.cshtml";
    UserVM userConnected = Session["UserConnected"] as UserVM;

}
<br />
<script src="~/Scripts/jquery-3.3.1.min.js"></script>
<div class="container">
    <div id="carouselExampleControls" class="carousel slide " data-ride="carousel" data-interval="false">
        <ol class="carousel-indicators">
            <li data-target="#myCarousel" data-slide-to="0" class="active"></li>
            <li data-target="#myCarousel" data-slide-to="1"></li>
        </ol>
            <div class="carousel-inner">

                @{ int i = 0;}
                @foreach (var item in Model)
                {
                    i++;
                    var active = i == 1 ? "active" : "";
                    <div class="carousel-item @active">
                        @{string path = "~/Content/VideoFiles/" + @item.PathV;}

                        <video controls>
                            <source src="@Url.Content(path)" type="video/mp4" />
                        </video>
                        <div class="carousel-caption d-none d-md-block">
                            <h5>@item.NomV</h5>

                        </div>
                    </div>
                }
            </div>
            <a class="carousel-control-prev" href="#carouselExampleControls" role="button" data-slide="prev">
                <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                <span class="sr-only">Previous</span>
            </a>
            <a class="carousel-control-next" href="#carouselExampleControls" role="button" data-slide="next">
                <span class="carousel-control-next-icon" aria-hidden="true"></span>
                <span class="sr-only">Next</span>
            </a>
    </div>
</div>
<br />
<div class="container">

    <style>
        div.panel-body {
            overflow: scroll;
            background: url('https://subtlepatterns.com/patterns/geometry2.png');
        }
    </style>
    <h2>Ajouter des questions !</h2>

    <div class="chat-panel panel panel-default">
        <div class="panel-heading">
            Welcome @userConnected.FullName
            <i class="fa fa-paper-plane fa-fw"></i>
        </div>
        <!-- /.panel-heading -->
        <div class="panel-body" id="chat" style="height:250px;">
            <input type="hidden" id="displayname" value="@userConnected.FullName" />

            <p id="discussion"></p>
        </div>
        <!-- /.panel-body -->
        <div class="panel-footer">
            <div class="input-group">
                <input id="message" type="text" name="message" class="form-control input-sm" placeholder="Type your message here..." />

                <span class="input-group-btn">
                    <input type="button" class="btn btn-warning btn-sm" id="sendmessage" value="Send">

                </span>
            </div>
        </div>
    </div>
</div><br/><br />
    @section scripts {
        <!--Script references. -->
        <!--The jQuery library is required and is referenced by default in _Layout.cshtml. -->
        <!--Reference the SignalR library. -->
        <script src="~/Scripts/jquery.signalR-2.4.1.min.js"></script>
        <!--Reference the autogenerated SignalR hub script. -->
        <script src="~/signalr/hubs"></script>
        <!--SignalR script to update the chat page and send messages.-->
        <script>
        $(function () {
            // Reference the auto-generated proxy for the hub.
            var chat = $.connection.chatHub;
            // Create a function that the hub can call back to display messages.
            chat.client.addNewMessageToPage = function (name, message) {
                if (name =="@userConnected.FullName") {
                    // Add the message to the page.
                    $('#discussion').append('<p style="color:green; text-align:left; width:500px"><strong><img = src="https://www.phplivesupport.com/pics/icons/avatars/public/avatar_7.png" title="@userConnected.FullName">'
                        + ' </strong> ' + htmlEncode(message) + '</p>');
                }
                else if (name != "@userConnected.FullName") {
                    // Add the message to the page.
                    $('#discussion').append('<p style="color:blue;text-align:right;"><strong><img = src="https://www.phplivesupport.com/pics/icons/avatars/public/avatar_71.png" title="aaaa">'
                        + ' </strong> ' + htmlEncode(message) + '</p>');
                }
            };
            // Get the user name and store it to prepend to messages.
            //$('#displayname').val(@userConnected.FullName);
            // Set initial focus to message input box.
            $('#message').focus();
            // Start the connection.
            $.connection.hub.start().done(function () {
                $('#sendmessage').click(function () {
                    // Call the Send method on the hub.
                   chat.server.send($('#displayname').val(), $('#message').val());
                    // Clear text box and reset focus for next comment.
                    $('#message').val('').focus();
                });
            });
        });
        // This optional function html-encodes messages for display in the page.
        function htmlEncode(value) {
            var encodedValue = $('<div />').text(value).html();
            return encodedValue;
        }
        </script>
    }

